InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::KalmanAlgorithmSettings Struct Reference

Extended Kalman Orientation Algorithm Settings. More...

`#include <OrientationSettings.h>`

## Public Member Functions
| KalmanAlgorithmSettings ()
| KalmanAlgorithmSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
double | accNoise
| Accelerometer noise, default 0.07.
double | compNoise
| Compass noise, default 0.0205.
double | gyroNoise
| Gyroscope noise, default 0.0038.
double | gyroBiasNoise
| Gyroscope bias noise, default 0.0038.
bool | adjustToSamplingRate
| Adjust the noise level to the sampling rate (defaults are for 200Hz), default true.
double | accMagnitudeThreshold
| Ignore accelerometer above this magnitude threshold, default 20.

## Detailed Description

Extended Kalman Orientation Algorithm Settings.

Struct containing settings for Extended Kalman orientation algorithm.

## Constructor & Destructor Documentation

## ◆ KalmanAlgorithmSettings() [1/2]

inertia::KalmanAlgorithmSettings::KalmanAlgorithmSettings | ( |  | ) |

Default constructor.

## ◆ KalmanAlgorithmSettings() [2/2]

inertia::KalmanAlgorithmSettings::KalmanAlgorithmSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates KalmanAlgorithmSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::KalmanAlgorithmSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for KalmanAlgorithmSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::KalmanAlgorithmSettings::ToString | ( |  | ) | const

Get a string representation of this KalmanAlgorithmSettings. The string is compatible with GetOptionDescription() and KalmanAlgorithmSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- OrientationSettings.h